Subject: Re: [PATCH 3/3] Add -k/--keep-going option to mergetool

From: Theodore Tso <[email-masked]>
Date: Sat, 15 Nov 2008 10:56:03 -0500

On Thu, Nov 13, 2008 at 12:41:15PM +0000, Charles Bailey wrote:
> This option stops git mergetool from aborting at the first failed merge.
> This allows some additional use patterns. Merge conflicts can now be
> previewed one at time and merges can also be skipped so that they can be
> performed in a later pass.
> 
> There is also a mergetool.keepGoing configuration variable covering the
> same behaviour.

Instead of making this be a command-line and configuration option,
maybe it would be better to prompt the user after an aborted merge,
and give the user the opportunity to continue or abort?  i.e., instead
of just saying "merge of foo.c failed" and then exiting, to ask the
user instad something like, "Merge of foo.c failed; continue
attempting to merge the rest of the files? <y>"

I suspect this might be more friendly than Yet Another command-line
option and configuration parameter.  What do you think?

       	   		 	     	     	 - Ted